For the complete documentation index, see llms-docs.txt or the site index llms.txt. Full docs corpus: llms-full-docs.txt. Prefer the markdown version of this page at /docs/api/tools/post-api-tools-v1blocklist-check.md. Product capabilities: skill.md. Docs MCP: /docs/mcp. Site MCP: /mcp.
Blocklist check
POST
/api/tools/v1/blocklist-check
1const response = await fetch("https://reloop.sh/api/tools/v1/blocklist-check", {2 method: "POST",3 headers: {4 "Authorization": "Bearer re_123456789",5 "Content-Type": "application/json",6 },7 body: JSON.stringify({8 "target": "reloop.sh"9})10});11
12const data = await response.json();1{2 "target": "example_target",3 "inputType": "domain",4 "ipVersion": "ipv4",5 "resolvedIp": "example_resolvedIp",6 "hostname": "example_hostname",7 "checkedIps": [8 {9 "ip": "example_ip",10 "source": "input",11 "version": "ipv4"12 }13 ],14 "spfIncludes": [15 "example_spfIncludes"16 ],17 "spfRanges": [18 "example_spfRanges"19 ],20 "ipNote": "example_ipNote",21 "verdict": "clean",22 "isClean": true,23 "totalChecked": 0,24 "listedCount": 0,25 "cleanCount": 0,26 "errorCount": 0,27 "skippedCount": 0,28 "scanDurationMs": 0,29 "results": [30 {31 "id": "con_123456789",32 "name": "Newsletter",33 "host": "example_host",34 "listType": "ip",35 "category": "reputation",36 "impact": "high",37 "status": "listed",38 "isListed": true,39 "responseCodes": [40 "example_responseCodes"41 ],42 "responseTimeMs": 0,43 "delistUrl": "example_delistUrl",44 "description": "example_description",45 "listedTargets": [46 "example_listedTargets"47 ],48 "txtRecord": "example_txtRecord",49 "error": "example_error"50 }51 ],52 "recommendations": [53 "example_recommendations"54 ]55}Body Parameters
targetstringRequired
Domain name, IPv4 address, or IPv6 address (e.g. example.com, 198.51.100.1).
- Minimum length:
1 - Maximum length:
255
Was this page helpful?
- Need help? Contact Support.
- Chat with Reloop developers on Discord.
- Check out our changelog.
- Questions? Contact Sales.
- LLM? Read llms.txt.